Request contact assignment
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{contact_id}/assignment_requests \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"message": "<string>"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{contact_id}/assignment_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{contact_id}/assignment_requests"
payload = { "message": "<string>" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"contact_id": 123,
"account_id": 123,
"status": "<string>",
"message": "<string>",
"rejection_note": "<string>",
"reviewed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"requester": {
"id": 123,
"account_id": 123,
"availability_status": "online",
"auto_offline": true,
"confirmed": true,
"email": "<string>",
"available_name": "<string>",
"name": "<string>",
"role": "agent",
"thumbnail": "<string>",
"custom_role_id": 123
},
"reviewer": {
"id": 123,
"account_id": 123,
"availability_status": "online",
"auto_offline": true,
"confirmed": true,
"email": "<string>",
"available_name": "<string>",
"name": "<string>",
"role": "agent",
"thumbnail": "<string>",
"custom_role_id": 123
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Contact Assignment Requests
Request contact assignment
Ask to be assigned this contact.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
contacts
/
{contact_id}
/
assignment_requests
Request contact assignment
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{contact_id}/assignment_requests \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"message": "<string>"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{contact_id}/assignment_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{contact_id}/assignment_requests"
payload = { "message": "<string>" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"contact_id": 123,
"account_id": 123,
"status": "<string>",
"message": "<string>",
"rejection_note": "<string>",
"reviewed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"requester": {
"id": 123,
"account_id": 123,
"availability_status": "online",
"auto_offline": true,
"confirmed": true,
"email": "<string>",
"available_name": "<string>",
"name": "<string>",
"role": "agent",
"thumbnail": "<string>",
"custom_role_id": 123
},
"reviewer": {
"id": 123,
"account_id": 123,
"availability_status": "online",
"auto_offline": true,
"confirmed": true,
"email": "<string>",
"available_name": "<string>",
"name": "<string>",
"role": "agent",
"thumbnail": "<string>",
"custom_role_id": 123
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the contact
The numeric ID of the account
Body
application/json
Request message